# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'faraday/client_error_handling/version'

Gem::Specification.new do |spec|
  spec.name          = 'faraday-client_error_handling'
  spec.version       = Faraday::ClientErrorHandling::VERSION
  spec.authors       = ['Andy Koch']
  spec.email         = ['developer@no-ego.net']
  spec.summary       = %q{provides an error logging Faraday middleware for use with Her based client gems}
  spec.description   = %q{}

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']
  spec.license       = 'MIT'

  spec.add_dependency 'faraday', '~> 0.9'
  spec.add_dependency 'multi_json', '~> 1.10'
  spec.add_dependency 'phr_logging', '~> 1.0'

  spec.add_development_dependency 'bundler', '~> 1.7'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'pry-byebug'
end
